//
//  ViewController.swift
//  view_frame
//
//  Created by yoshiyuki oshige on 2018/08/16.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // 写真をOutlet接続しておく
    @IBOutlet weak var myPhoto: UIImageView!
    // 変数の準備
    let photoSize = CGSize(width: 320, height: 240)
    let photoOrigin = CGPoint(x: 27, y: 100)
    let smallFrame = CGRect(x: 27, y: 100, width: 160, height: 120)
    var bigFrame:CGRect?
    
    // セグメンテッドコントロールとAction接続する
    @IBAction func changedFrame(_ sender: UISegmentedControl) {
        let index = sender.selectedSegmentIndex
        switch index {
        case 0 : // 小さく表示
            myPhoto.frame = smallFrame
        case 1 : // 大きく表示
            myPhoto.frame = bigFrame!
        default :
            myPhoto.frame = bigFrame!
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // 表示モードの設定
        myPhoto.contentMode = .scaleAspectFill
        // 写真フレームをsmallFrameで表示する
        myPhoto.frame = smallFrame
        // ビューのサイズに合わせたbigFrameを計算する
        let photoWidth = view.frame.width - 27*2
        let photoHeight = 240/320*photoWidth
        let photoSize = CGSize(width: photoWidth, height: photoHeight)
        bigFrame = CGRect(origin:photoOrigin , size: photoSize)
    }

}

