//
//  ViewController.swift
//  viewTransitionFromTo
//
//  Created by yoshiyuki oshige on 2018/08/26.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // 写真とラベルを追加するスーパービュー
    @IBOutlet weak var baseView: UIView!
    // サブビュー
    var fromView:UIView!
    var toView:UIView!

    // nextボタン
    @IBAction func nextView(_ sender: Any) {
        // fromViewを取り除きtoViewを追加する
        UIView.transition(from: fromView, to: toView, duration: 1, options: .transitionFlipFromLeft,
                          completion:{_ in
                            let tmpView = self.fromView
                            self.fromView = self.toView
                            self.toView = tmpView }
        )
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // view1を作る（写真）
        let view1 = UIImageView(image: UIImage(named: "shami4.jpg"))
        view1.center = CGPoint(x: baseView.bounds.midX, y: baseView.bounds.midY)
        // view2を作る（ラベル）
        let view2 = UILabel()
        view2.text = "シャミちゃん"
        view2.frame = CGRect(x:20, y:20, width:140, height:21)
        view2.backgroundColor = UIColor.gray
        view2.textColor = UIColor.white
        // fromView、toViewに２つのビューを割り当てる
        fromView = view1
        toView = view2
        // 最初に表示するビューとしてfromViewをbaseViewに追加する
        baseView.addSubview(fromView)
        baseView.clipsToBounds = true // はみ出る部分はトリミングする
    }

}

