//
//  ViewController.swift
//  viewTransitionWith
//
//  Created by yoshiyuki oshige on 2018/08/27.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    // カウント数
    var num = 0
    // 数値を表示するラベル
    @IBOutlet weak var myLabel: UILabel!
    
    // タイマーで定期的に呼び出すメソッド
    @objc func step(){
        // カウントアップ
        num += 1
        // ラベルの値を更新する
        myLabel.text = String(num)
        // 0.5秒をかけてクロスディゾルブする
        UIView.transition(with: myLabel,
                          duration: 0.5,
                          options: [.transitionCrossDissolve],
                          animations:nil,
                          completion: nil
        )
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // タイマーを作る
        Timer.scheduledTimer(
            timeInterval: 1.0, // 繰り返す間隔（秒）
            target: self,
            selector: #selector(self.step), // 実行するメソッド
            userInfo: nil,
            repeats: true // リピート再生する
        )
        // テキストフィールドの開始値
        myLabel.text = String(num)
    }
    
    
}


