//
//  ShipNode.swift
//  ARKit_lookAt
//
//  Created by yoshiyuki oshige on 2018/09/25.
//  Copyright © 2018年 yoshiyuki oshige. All rights reserved.
//

import SceneKit
import ARKit

class ShipNode: SCNNode {
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override init() {
        super.init()
        // art.scnassets/ship.scnからshipノードを作る
        let sceneURL = Bundle.main.url(forResource: "ship", withExtension: "scn", subdirectory: "art.scnassets")!
        let ship = SCNReferenceNode(url: sceneURL)!  // ノードを作る
        ship.load()  // データをノードに読み込む
        // 機首をZ軸の正方向に向ける
        ship.eulerAngles.y = -.pi
        // 半分のサイズにする
        self.addChildNode(ship)
        self.scale = SCNVector3Make(0.2, 0.2, 0.2)
    }
}

